Redmine - Defect #19578

Issues reports table header overlaping
2015-04-09 12:52 - Antoine Duranel

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: ul Estimated time: 0.00 hour
Target version: 3.3.6

Resolution: Fixed Affected version: 24.0
Description

Hi,

After migrating from Redmine 1.2.1 to 3.0.1, the Issues > Summary > Reports details page does not have the same behaviour for the

table header overflow.

We use around 20 "Issues statuses” in our Redmine instance and with this latest Redmine version, headers overlap to fit in the

window size which make them unreable (see attached screenshots).

This change might have been done before the Redmine 3.0.1 release but | did not find the entry about it in Changelogs.

Thanks,
Antoine

Related issues:
Related to Redmine - Defect #15307: HTML 5 deprecates width and align attributes

Related to Redmine - Patch #27772: Issues reports should show only statuses u...

Closed
Closed

Associated revisions

Revision 17108 - 2017-12-11 03:19 - Go MAEDA
Fix: Overlapping text in table header on issues reports page (#19578).

Patch by Go MAEDA.

Revision 17109 - 2017-12-11 04:15 - Go MAEDA
Merged r17108 to 3.4-stable (#19578).

Revision 17110 - 2017-12-11 04:17 - Go MAEDA
Merged r17108 to 3.3-stable (#19578).

History

#1 - 2015-04-09 15:15 - Leonel lturralde

| confirmed this behavior. It is caused by

table.issue-report {table-layout:fixed;}

source:trunk/public/stylesheets/application.css@14155#L.173
If I change it to fable-layout:auto . | can see all the content.

You can fixed this by creating a custom theme to change this style. Just while waiting for a patch.

#2 - 2015-04-09 15:39 - Antoine Duranel

Thanks, it works fine.

#3 - 2015-05-07 10:10 - Toshi MARUYAMA
- Category set to Ul

#4 - 2017-11-28 04:35 - Go MAEDA
- Related to Defect #15307: HTML 5 deprecates width and align attributes added
https://www.redmine.org/projects/redmine/repository/svn/revisions/14155/entry/trunk/public/stylesheets/application.css#L173

#5 - 2017-11-28 04:36 - Go MAEDA

- File table-layout-auto-report-detail@2x.png added

- File table-layout-auto-summary@2x.png added

- File white-space-normal-report-detail@2x.png added
- File table-layout-fixed@2x.png added

- Affected version changed from 3.0.1 to 2.4.0

Leonel lturralde wrote:

If | change it to table-layout:auto . | can see all the content.

Thank you for the workaround.

But changing table-layout property from fixed to auto causes other problem. Please see the screenshots blow. The right end of the table is not
displayed (actually there are columns "status nine", "Open", "Closed", "Total"). And columns are not aligned in issues summary page.

Before fix:

Reports
Tracker

New AssignedResolvedreedbaclClosed Rejectedstatus omtatus twtatus thetaéus fatatus fistatus sistatus seeatus ekthtus ningpen closed Total

Bug 6 - - - 3 - - - - - - - - - - 6 3 9
Feature

- 1 - - - - - - - - - - - - - 1 - 1
request
Support

request

After:

Reports
Tracker

New Assigned Resolved Feedback Closed Rejected status one status two status three status four status five status six status seven status eight sta

Bug 6 o o o g o o o o o o o o o
Feature 1 ) B B B R . ) . . B . )
request
Support 1 _ . B _ B 5 . 3 3 . H . _
request
Tracker = Version =
open closed Total open closed Total
Bug 6 & 9 (0L = il il
Feature request 1 - 1 1.0 1 1 2
Support request 1 = 1 2.0 = = =
2.0 - - -
Priority % Private Version of public subproject = = -
Systemwide visible version - - -
open closed Total
Inactive Priority = = o Subproject %
Immediate - - -
Urgent = = S optn closed Total
High - - - Private child of eCookbook 4 = 4
Normal 6 3 9 Child of private child - - -
Low 2 - 2 eCookbook Subproject 1 3 > 3
eCookbook Subproject 2 B - B
Assignee =
Category =
op:zn closed Total
Dave Lopper 2 - 2 open closed Total
John Smith 1 - 1 Printing 2 2 4
Recipes - - -
| think adding white-space: nowrap to th elements is better solution.
Index: public/stylesheets/application.css
——— public/stylesheets/application.css (revision 17048)
+++ public/stylesheets/application.css (working copy)
@@ -274,6 +274,7 Q@
tr.issue.idnt-9 td.subject {padding-left: 152px; background-position: 136px 50%;}
table.issue-report {table-layout:fixed;}
+table.issue-report th {white-space: normal;}
tr.entry { border: lpx solid #f8f8f8; }
tr.entry td { white-space: nowrap; }
Reports
Tracker
New AssignedResolvedreedbaciClosed Rejected S':::S s:a::::s st:‘art:: S::::S S:::S St:i::js Z‘:It:: S::gt:: S::::S open closed Total
Bug 6 - - - 3 - - - - - - - - - - 6 3 9
Feature
request ! . . . ) . . . ) . . . ) . ! . !
Support
reqpupest t . ) ) ) - ) ) ) - ) ) ) . ) ! ) .

#6 - 2017-12-09 05:59 - Go MAEDA
- File 19578.diff added

- Target version set to 3.3.6

Setting target version to 3.3.6.

Before:
Reports
Tracker

New AssignedResolvedreedbaclClosed Rejectedstatus omtatus twtatus thstaéus faiatus fistatus sistatus setatus eithtus ninepen closed Total
Bug 6 - - - 3 - - - - - - - - - - 6 k) 9

Feature
request

1 - - - - - - - - - - - - - 1 - 1

Support
request

After:
Reports

Tracker

status status status status status status status status status

New AssignedesolvedreedbaclClosed Rejected . open closed Total

e two three four five six seven eight nine

Bug 6 ® o = 3] ® o = = ® o = = o = 6 3 9
Feature

- 1 - - - - - - - - - - - - - 1 - 1
request
Su
pport - . . . . . . . . . . . . . 1 . 1
request

#7 - 2017-12-10 14:13 - Marius BALTEANU
- Related to Patch #27772: Issues reports should show only statuses used by the project added

#8 - 2017-12-11 03:23 - Go MAEDA
- Status changed from New to Resolved
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed to the trunk.

#9 - 2017-12-11 04:18 - Go MAEDA

- Status changed from Resolved to Closed

Merged to 3.4-stable and 3.3-stable.
